summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 2597065..cdbb261 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -88,5 +88,14 @@ if [ "$(sed '/^#/d;/^$/d' out04a)" != 'Hello, world!' ]; then
fi
cd ..
+echo 'Processing stage 05 (this will take some time)...'
+cd 05
+rm -f test.out out04 in04 *.o tcc-0.9.27/tcc0
+make -s test.out > /dev/null
+if [ "$(./test.out)" != 'Hello, world!' ]; then
+ echo_red 'Stage 05 failed.'
+ exit 1
+fi
+cd ..
echo_green 'all stages completed successfully!'